AOZ Studio Beta - Bug #361

Rain Command - lllegal function call
04/29/2020 10:52 AM - Nick Morison

Status: Feedback Start date: 04/29/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.9.2

Affected version: 0.9.9.4-RC1

Description

The below code generates an illegal function call at the Rain command:

#manifest:"amiga"
#speed:"safe"
#splashScreen:false
#fullScreen:false

cls 0

set rainbow 0,0,200,"","",""
rain(0,100)=$FFF

rainbow 0,0,40,200

wait Key

(Works as expected in Amos (draws a single white line into the rainbow)).

History

#1 - 05/14/2020 03:40 PM - Francois Lionet
- Status changed from New to Resolved
- Assignee set to Francois Lionet

- Target version set to 0.9.9.2

Fixed! Could you check that the rainbows work the same, "display" the same in AOZ and AMOS? And report here? That would be cool... ;)

#2 - 06/20/2020 04:57 PM - Brian Flanagan
- Status changed from Resolved to Feedback

- Affected version changed from 0.9.8.1 to 0.9.9.2

| tested this in 0.9.9.2.

Apparently, Rain(x,y) is still causing lllegal Function call errors.
I'm not sure why this was marked as resolved!

| got the same error when trying to run the "Over The Rainbow" demo from "Mastering Amiga AMOS".

#3 - 09/07/2020 08:32 AM - Brian Flanagan
- Affected version changed from 0.9.9.2 to 0.9.9.4-RC1

Still fails in 0.9.9.4-RC1.

Related to Bug#464
